Bug 182039 - import pictures from camera doesn't work anymore
import pictures from camera doesn't work anymore
Status: CLOSED DUPLICATE of bug 552890
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-19 12:56 EST by Marius Andreiana
Modified: 2014-01-21 17:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-08 04:47:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Andreiana 2006-02-19 12:56:22 EST
When inserting a digital camera (canon a520), gnome offers to import photos. On
next dialog, gthumb-import shows
An error occurred in the io-library ('Bad parameters'): Could not find USB
device (vendor 0x4a9, product 0x30c1). Make sure this device is connected to the
computer.

It used to work in FC4.
Comment 1 Rahul Sundaram 2006-02-20 05:48:56 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 2 Rudi Chiarito 2006-03-21 11:11:32 EST
I can confirm this on a FC5 system.

Starting gthumb-import from the command line results in this:

3073: arguments to dbus_message_new_method_call() were incorrect, assertion
"_dbus_check_is_valid_path (path)" failed in file dbus-message.c line 797.
This is normally a bug in some application using the D-BUS library.
libhal.c 995 : Couldn't allocate D-BUS message
error: libhal_device_get_property_type: (null): (null)

The window shows this error message instead:

An error occurred in the io-library ('Could not claim the USB device'): Could
not claim interface 0 (Operation not permitted). Make sure no other program or
kernel module (such as sdc2xx, stv680, spca50x) is using the device and you have
read/write access to the device.

The camera is correctly identified (Canon Powershot A610).
Comment 3 Rudi Chiarito 2006-03-21 11:18:21 EST
A quick comment for the original reporter. I have also seen the message "('Bad
parameters'): Could not find USB device [...] Make sure this device is connected
to the computer.", but it happened because the camera has powered itself down in
the meantime. I'd suggest trying again and seeing what message is shown when the
camera is on. The same thing had fooled me for a while.
Comment 4 Ronny Buchmann 2006-03-27 14:16:59 EST
same problem here (FC5, i386) with Canon Powershot A80
Comment 5 Ronny Buchmann 2006-03-27 14:19:58 EST
it works as root, though
Comment 6 Ronny Buchmann 2006-03-27 14:52:35 EST
hm, and now it is working, and I am not sure why
I ran one time gphoto2 directly and tried gthumb-import from console and also
automatically when plugging in the camera.
Maybe a problem with old configuration (my $HOME was from FC4)?
Comment 7 Marius Andreiana 2006-03-30 05:58:57 EST
gthumb-2.7.5-1.i386.rpm from updates still doesn't fix it. I confirm it works as
root.
Comment 8 Marius Andreiana 2006-03-30 06:01:11 EST
ACtually as root shows the thumbnails, but import still doesn't work:
5230: arguments to dbus_message_new_method_call() were incorrect, assertion
"_dbus_check_is_valid_path (path)" failed in file dbus-message.c line 797.
This is normally a bug in some application using the D-BUS library.
libhal.c 995 : Couldn't allocate D-BUS message
error: libhal_device_get_property_type: (null): (null)
Comment 9 Steevithak 2006-04-08 11:26:58 EDT
This was partially broken for me initially but after the latest updates it's now
completely unusable.

Initially on Core 5, the dialog that popped up on previous versions when I
pluggen in my camera was missing. But it was possible to manually start gthumb
and transfer my photos. (I only knew what program to start and how to access the
camera because it was done automatically on previous versions of Fedora, a new
user would probalby not be able to do it easily. Hopefully the dialog that
automagically appears and offers to load photos will be coming back soon!)

After the recent gthumb-2.7.5-1.fc5.1 update, I can no longer access my camera
at all. Even if I start gthumb manually, I can't find any way to access the
camera or the photos, even logging in as root.

The odd thing is that /var/log/messages still shows some activity when I connect
the camera. It's clear that Fedora can see that I've connected the camera and it
sees the camera's 512mb XD card as SCSI storage of some sort. Here's what shows
up in messages when I'm logged in as a root and connect my camera:

Apr  8 10:12:17 localhost kernel: usb 1-3: new high speed USB device using
ehci_hcd and address 5
Apr  8 10:12:17 localhost kernel: usb 1-3: configuration #1 chosen from 1
choiceApr  8 10:12:17 localhost kernel: scsi3 : SCSI emulation for USB Mass
Storage devices
Apr  8 10:12:22 localhost kernel:   Vendor: FUJIFILM  Model: USB-DRIVEUNIT    
Rev: 1.00
Apr  8 10:12:22 localhost kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 00
Apr  8 10:12:22 localhost kernel: SCSI device sda: 1023120 512-byte hdwr sectors
(524 MB)
Apr  8 10:12:22 localhost kernel: sda: Write Protect is off
Apr  8 10:12:22 localhost kernel: sda: assuming drive cache: write through
Apr  8 10:12:22 localhost kernel: SCSI device sda: 1023120 512-byte hdwr sectors
(524 MB)
Apr  8 10:12:22 localhost kernel: sda: Write Protect is off
Apr  8 10:12:22 localhost kernel: sda: assuming drive cache: write through
Apr  8 10:12:22 localhost kernel:  sda: sda1
Apr  8 10:12:22 localhost kernel: sd 3:0:0:0: Attached scsi removable disk sda
Apr  8 10:12:22 localhost kernel: sd 3:0:0:0: Attached scsi generic sg0 type 0

I'm using a Dell Inspiron 8600 and my Fedora Core 5 is up to date as the date of
this post. The same camera and laptop worked fine with FC3 and FC4.
Comment 10 Seth Vidal 2006-05-08 09:54:55 EDT
Ditto here for a Canon SD400.

Same behavior under f-spot, too.
Comment 11 Jeff Peterson 2006-05-17 14:02:49 EDT
I have two cameras. I can download images from the Kodak DX7590 EasyShare camera
as a normal user. However, I cannot download images from the Kodak DC3400 camera
as a normal user but only as root.
Comment 12 Red Hat Bugzilla 2007-02-05 14:02:44 EST
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.
Comment 13 petrosyan 2008-03-10 20:26:54 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 14 Steevithak 2008-03-10 20:41:17 EDT
Yes, still present. Fedora Core 3 and 4 were the last versions that worked for
me. On those it automatically recognized the photos whether I plugged the camera
in directly via USB or plugged the XD memory card into the computer's card reader. 

Since then, neither method works. I'm currently running Fedora 7 on my laptop
and Fedora 8 on my desktop. The bug is present on both. The bug was present with
my Fuji Finepix s5200 and is still present with my new Fuji Finepix s6000.

Whether I plug in the camera via USB or the XD card directly, nothing happens
until I double-click the computer icon on the desktop and then double-click the
icon representing the new drive. This appears to mount the drive, after which I
have to manually find and copy the photos to the hard drive. Then I can use
gThumb to view them.
Comment 15 eric@christensenplace.us 2008-03-21 13:30:43 EDT
I used to have this problem.  Now after importing the first round of photos it
just shows "No Images Found" even though there are a more on the camera.

This is in Fedora 8.
Comment 16 Victor Song 2008-05-26 11:39:05 EDT
In 2.6.25.3-18.fc9.i686:

Unable to mount Canon, Inc. Digital IXUS 30 (PTP mode) / PowerShot SD200 (PTP mode)
Error initializing camera: -114: OS error in camera communication
Comment 17 Edmond Hui 2008-06-11 13:51:08 EDT
I am seeing the same problem on Fedora 9, running 2.6.25.4-30.fc9.i686

Error is "Unable to claim USB", camera is a Canon S2 IS in PTP mode.

smolt of the machine encountering the problem:
http://www.smolts.org/client/show/pub_98ba0d3c-016a-4e33-9be8-fc1b15d8dc06
Comment 18 Edmond Hui 2008-06-11 13:54:38 EDT
My problem might related to this: https://bugzilla.redhat.com/show_bug.cgi?id=447290

I've noticed sometimes instead of the error, the camera is mounted and shown as
storage.... maybe a race condition somewhere caused gthumb failed to connect to
the camera (and hence the unable to claim USB)?
Comment 19 Edmond Hui 2008-07-02 12:29:39 EDT
Just found that the problem seem to be PTP related. I have a Pentax Optio w10,
which seem to be in non PTP mode. When the camera is connected (via USB), the
camera is detected and the import window from gthumb popup. On the Canon S2 IS,
the camera is connected and treat as media and the raw directory window is
popup.... seem like a bug that reverse the treatment of PTP/non-PTP media?
Comment 20 Bug Zapper 2008-11-26 01:55:35 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2009-01-09 01:55:55 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 22 Marius Andreiana 2009-11-25 02:14:12 EST
This bug is back in F12...

An error occurred in the io-library ('Bad parameters'): No error description available

Nov 25 09:11:02 localhost kernel: usb 1-5: new high speed USB device using ehci_hcd and address 26
Nov 25 09:11:02 localhost kernel: usb 1-5: New USB device found, idVendor=04b0, idProduct=041e
Nov 25 09:11:02 localhost kernel: usb 1-5: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Nov 25 09:11:02 localhost kernel: usb 1-5: Product: NIKON DSC D60
Nov 25 09:11:02 localhost kernel: usb 1-5: Manufacturer: NIKON
Nov 25 09:11:02 localhost kernel: usb 1-5: SerialNumber: 6402493
Nov 25 09:11:02 localhost kernel: usb 1-5: configuration #1 chosen from 1 choi
Comment 23 Hans de Goede 2010-01-08 04:47:54 EST
Thanks for the bug report(s). I've hit this myself while working on:
https://fedoraproject.org/wiki/Features/BetterWebcamSupportF13
(some cameras double as a webcam)

And I've written a number of patches fixing this, see bug 552890. I hope to be able to release updated gvfs and gthumb packages fixing this soon, add your self to the CC of bug 552890 if you want to stay informed on the progress of fixing this.

*** This bug has been marked as a duplicate of bug 552890 ***
Comment 24 Dirk Hoffmann 2010-04-14 18:33:55 EDT
(In reply to comment #23)
> *** This bug has been marked as a duplicate of bug 552890 ***    

Please mark it also as duplicate of bug 533691. A solution is given there.
Comment 25 Hans de Goede 2010-04-15 02:30:16 EDT
(In reply to comment #24)
> (In reply to comment #23)
> > *** This bug has been marked as a duplicate of bug 552890 ***    
> 
> Please mark it also as duplicate of bug 533691. A solution is given there.    

Erm, no the camera in question in the original report is using PTP I believe, so this was bug 552890, not 533691, 533691 only affects cameras which emulate a usb mass storage device.

Note You need to log in before you can comment on or make changes to this bug.